Skip to main content
GET
/
api
/
txs
/
history
/
{address}
Transaction history
curl --request GET \
  --url https://api.walletsuite.io/api/txs/history/{address} \
  --header 'x-api-key: <api-key>'
[
  {
    "hash": "<string>",
    "chain": "<string>",
    "blockNumber": 123,
    "timestamp": "2023-11-07T05:31:56Z",
    "from": "<string>",
    "to": "<string>",
    "direction": "<string>",
    "txType": "TRANSFER_NATIVE",
    "value": "<string>",
    "displayValue": "<string>",
    "tokenContract": "<string>",
    "tokenSymbol": "<string>",
    "tokenDecimals": 123,
    "tokenValue": "<string>",
    "tokenDisplayValue": "<string>"
  }
]

Authorizations

x-api-key
string
header
required

API key provided by WalletSuite team

Path Parameters

address
string
required

Address (EVM 0x… or Tron T…/41…)

Query Parameters

chain
string
default:ethereum

Blockchain identifier

Response

200 - */*

OK

hash
string
required
chain
string
required
blockNumber
integer<int64>
required
timestamp
string<date-time>
required
from
string
required
to
string
required
direction
string
required
txType
enum<string>
required
Available options:
TRANSFER_NATIVE,
TRANSFER_TOKEN,
CONTRACT_CREATION,
CONTRACT_CALL,
SWAP,
STAKE,
UNSTAKE,
CLAIM_REWARDS,
UNKNOWN
value
string
displayValue
string
tokenContract
string
tokenSymbol
string
tokenDecimals
integer<int32>
tokenValue
string
tokenDisplayValue
string